# Overview

**Dipal** (&quot;digital pal&quot;) is a system for building automation. Its purpose is **to simply communication** between residents, the management company, and the security service, with automatic device control. The use of the Dipal system involves **common** and **private areas**. **Common area** includes services outside of the residents&#39; apartments such as video surveillance, intercom, utilities. **Private area** includes services of the residents&#39; apartments such as smart home, private cameras. The system helps to both residents and building employees to save their time, energy and minimize the risks.

Due to building automation, those responsible for construction can prevent accidents, such as standpipe break, in time. The plumber will automatically receive the request and fix the leak. If the leak is in an apartment, the tenants will be notified. Residents can also communicate with the management company and the security service by creating a ticket in the app.

The system can also automate payments for Internet, utilities for residents. Users can see the electricity or water meter readings in real time. They can also connect the system to their private smart home devices. Another function, for example, is to alert residents about power surges or unclosed faucet.

### **Technical part**

The Dipal app is an online service for Dipal system. The **frontend part** is a smartphone app written in Flutter and React. The **backend part** is written in Node.js with TypeScript language and NestJS framework. The backend is divided into 2 parts: **Kaiser** (cloud server) and **Fox** (local server) with one-to-many connection. Kaiser is responsible for account management, payment transactions, places information, etc. Fox is responsible for the in-building logic, such as devices control. Both parts have microservice architecture.

<img class="op-uc-image op-uc-image_inline" src="dipal%20system.png">
